# Class ModelUtils

java.lang.Object
org.eclipse.e4.ui.model.internal.ModelUtils

public class ModelUtils extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTAINING_PARENT`

## Constructor Summary

Constructors
Constructor
Description
`ModelUtils()`

## Method Summary

Modifier and Type
Method
Description
`static MApplicationElement`
`findElementById(MApplicationElement element, String id)`
`static IEclipseContext`
`getContainingContext(MApplicationElement element)`
`static org.eclipse.emf.ecore.EClassifier`
`getTypeArgument(org.eclipse.emf.ecore.EClass eClass, org.eclipse.emf.ecore.EGenericType eGenericType)`
`static List<MApplicationElement>`
`merge(MApplicationElement container, org.eclipse.emf.ecore.EStructuralFeature feature, List<MApplicationElement> elements, String positionInList)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONTAINING_PARENT

public static final String CONTAINING_PARENT

See Also:
  - Constant Field Values

## Constructor Details

### ModelUtils

public ModelUtils()

## Method Details

### getTypeArgument

public static org.eclipse.emf.ecore.EClassifier getTypeArgument(org.eclipse.emf.ecore.EClass eClass, org.eclipse.emf.ecore.EGenericType eGenericType)

### findElementById

public static MApplicationElement findElementById(MApplicationElement element, String id)

### merge

public static List<MApplicationElement> merge(MApplicationElement container, org.eclipse.emf.ecore.EStructuralFeature feature, List<MApplicationElement> elements, String positionInList)

### getContainingContext

public static IEclipseContext getContainingContext(MApplicationElement element)